Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:	System for layout and rendering of internationalized text
Name:		pango
Version:	1.28.3
Release:	1
License:	GNU/GPL
URL:		http://www.pango.org
Group:		System/Libraries
Source0:	pango-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:      i686

BuildRequires:	pkg-config
BuildRequires:	libXext-devel
BuildRequires:	gtk-doc

BuildRequires: gobject-introspection-devel
BuildRequires: libffi-devel

BuildRequires: libICE-devel
BuildRequires: pixman-devel
BuildRequires: freetype-devel
BuildRequires: fontconfig-devel
BuildRequires: libxcb-devel
BuildRequires: xcb-util-devel

BuildRequires:  libXxf86vm-devel
BuildRequires:  libXdamage-devel
BuildRequires: mesa-libGL-devel
BuildRequires: qt4-devel

#Automatically resolved build dependencies
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libXft-devel
BuildRequires: libXrender-devel
BuildRequires: pixman-devel
BuildRequires: zlib-devel

%description
Pango is a system for layout and rendering of internationalized text.

%package	devel
Summary: 	System for layout and rendering of internationalized text
Group: 		Development/Libraries
Requires:	pango = %{version}-%{release}
Requires:	libXrender-devel
Requires:	libX11-devel
Requires:	libXext-devel
Requires:	libXft-devel
Requires:	glib-devel >= %{glib_version}
Requires:	freetype-devel
Requires:	fontconfig-devel
Requires:	cairo-devel >= %{cairo_version}

%description	devel
The pango-devel package includes the static libraries, header files,
and developer docs for the pango package.
Install pango-devel if you want to develop programs which will use
pango.

%post
pango-querymodules > /etc/pango/pango.modules
ldconfig

%postun
ldconfig

%prep
%setup -q -n pango-%{version}

%build
%configure \
--disable-gtk-doc \
--enable-doc-cross-references
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# check Xft support
PANGOXFT_SO=$RPM_BUILD_ROOT%_libdir/libpangoxft-1.0.so
if ! test -e $PANGOXFT_SO; then
        echo "$PANGOXFT_SO not found; did not build with Xft support?"
        ls $RPM_BUILD_ROOT%_libdir
        exit 1
fi

rm $RPM_BUILD_ROOT%_sysconfdir/%{name}/%{name}.modules
touch $RPM_BUILD_ROOT%_sysconfdir/%{name}/%{name}.modules

#
# We need the substitution of $host so we use an external
# file list
#
echo %dir %_sysconfdir/%{name} > modules.files
echo %ghost %_sysconfdir/%{name}/%{name}.modules >> modules.files

%files -f modules.files
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog 
%{_sysconfdir}/pango/pango.modules
%{_sysconfdir}/pango/pangox.aliases
%{_bindir}/pango-querymodules
%{_bindir}/pango-view
%{_libdir}/libpango-1.0.so.*
%{_libdir}/libpangocairo-1.0.so.*
%{_libdir}/libpangoft2-1.0.so.*
%{_libdir}/libpangox-1.0.so.*
%{_libdir}/libpangoxft-1.0.so.*
%{_libdir}/pango/1.6.0/modules
%{_mandir}/man1/pango-querymodules.1.gz
%{_mandir}/man1/pango-view.1.gz

%files devel
%defattr(-, root, root)
%{_includedir}/pango-1.0/pango
%{_libdir}/girepository-1.0/Pango-1.0.typelib
%{_libdir}/girepository-1.0/PangoCairo-1.0.typelib
%{_libdir}/girepository-1.0/PangoFT2-1.0.typelib
%{_libdir}/girepository-1.0/PangoXft-1.0.typelib
%{_libdir}/libpango-1.0.la
%{_libdir}/libpango-1.0.so
%{_libdir}/libpangocairo-1.0.la
%{_libdir}/libpangocairo-1.0.so
%{_libdir}/libpangoft2-1.0.la
%{_libdir}/libpangoft2-1.0.so
%{_libdir}/libpangox-1.0.la
%{_libdir}/libpangox-1.0.so
%{_libdir}/libpangoxft-1.0.la
%{_libdir}/libpangoxft-1.0.so
%{_pkgconfig}/pangocairo.pc
%{_pkgconfig}/pangoft2.pc
%{_pkgconfig}/pango.pc
%{_pkgconfig}/pangoxft.pc
%{_pkgconfig}/pangox.pc
%{_datadir}/gir-1.0/Pango-1.0.gir
%{_datadir}/gir-1.0/PangoCairo-1.0.gir
%{_datadir}/gir-1.0/PangoFT2-1.0.gir
%{_datadir}/gir-1.0/PangoXft-1.0.gir
%{_datadir}/gtk-doc/html/pango

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.28.3-1
- Version update
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.28.1-1
- Version update
* Wed Mar 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.27.1-1
- Version update
* Tue Jan 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.26.2-1
- Version update
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 1.26.1-2
- fix included modules
* Sat Nov 21 2009 Christian Metzen <metzench@ccux-linux.de> 1.26.1-1
- Version update
* Mon Mar 23 2009 Christian Wasem <wasem@ccux-linux.de> 1.24.0-1
- Version update
* Wed Mar 04 2009 Christian Metzen <metzench@ccux-linux.de> 1.23.0-1
- Version update
* Thu Dec 18 2008 Christian Wasem <wasem@ccux-linux.de> 1.22.4-1
- Version update
* Tue Sep 30 2008 Jarsten Brockmann <arcam@ccux-linux.de> 1.22.0-1
- Version update
* Sat Jul 19 2008 Christian Wasem <wasem@ccux-linux.de> 1.20.5-1
- Version update
* Wed Apr 09 2008 Christian Wasem <wasem@ccux-linux.de> 1.20.1-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 1.20.0-1
- Version update
* Sat Jan 05 2008 Christian Metzen <metzench@ccux-linux.de> 1.19.2-2
- removed configure tag
* Sat Jan 05 2008 Christian Metzen <metzench@ccux-linux.de> 1.19.2-1
- Version update
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.18.3-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 1.18.2-1
- Version update
* Sun Mar 18 2007 Christian Metzen <metzench@ccux-linux.de> 1.16.1-3
- removed wrong configure setting
* Sat Mar 17 2007 Christian Metzen <metzench@ccux-linux.de> 1.16.1-2
- clean buildchain
* Fri Mar 16 2007 Christian Metzen <metzench@ccux-linux.de> 1.16.1-1
- Version update
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 1.15.0-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 1.15.0-2
- rebuild
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 1.15.0-1
- Version update
* Wed Sep 27 2006 Christian Metzen <metzench@ccux-linux.de> 1.14.4-1
- Version update
* Wed Aug 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.14.2-1
- Version update
* Mon Jul 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.13.2-1
- Version update
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.12.3-1
- Version update
* Mon May 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.12.1-1
- Version update
- added BuildRequires
* Thu Mar 16 2006 Christian Wasem <wasem@ccux-linux.de> 1.12.0-1
- Version update
* Fri Feb 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.11.4-1
- Version update
* Wed Nov 30 2005 Christian Metzen <metzench@ccux-linux.de> 1.10.2-1
- Version update
* Tue Oct 04 2005 Christian Metzen <metzench@ccux-linux.de> 1.10.1-1
- Version update
* Sun Sep 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.10.0-4
- Rebuild against cairo
* Tue Aug 30 2005 Christian Metzen <metzench@ccux-linux.de> 1.10.0-3
- Moved some files, fixed requires and url
* Tue Aug 30 2005 Christian Wasem <wasem@ccux-linux.de> 1.10.0-2
- moving some Symlinks to main package again
* Mon Aug 29 2005 Christian Wasem <wasem@ccux-linux.de> 1.10.0-1
- Version Update to 1.10.0
* Tue Apr 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.8.1-1
- Version Update to 1.8.1
* Mon Jan 10 2005 Christian Metzen <metzench@ccux-linux.de> 1.8.0-2
- Glib 2.6.1 Dependencies
* Wed Jan 05 2005 Christian Metzen <metzench@ccux-linux.de> 1.8.0-1
- Update to Version 1.8.0
